function [scale_factor_freq,scale_factor_w_carrier,scale_factor_w_fluid,scale_factor_w_reflector,freq_l_n,freq_u_n,w_carrier_l_n,w_carrier_u_n,w_fluid_l_n,w_fluid_u_n,w_reflector_l_n,w_reflector_u_n]=set_normalization(freq_l,freq_u,w_carrier_l,w_carrier_u,w_fluid_l,w_fluid_u,w_reflector_l,w_reflector_u)

%%Settings: set normalization ranges, from [0,n_i]_________________________
n_freq=1;
n_w_carrier=1;
n_w_fluid=1;
n_w_reflector=1;

%%_________________________________________________________________________
%scaling factors
scale_factor_freq=freq_u/n_freq;
scale_factor_w_carrier=w_carrier_u/n_w_carrier;
scale_factor_w_fluid=w_fluid_u/n_w_fluid;
scale_factor_w_reflector=w_reflector_u/n_w_reflector;

%normalized ranges
freq_l_n = freq_l/scale_factor_freq;
freq_u_n = freq_u/scale_factor_freq;
w_carrier_l_n = w_carrier_l/scale_factor_w_carrier;
w_carrier_u_n = w_carrier_u/scale_factor_w_carrier;
w_fluid_l_n = w_fluid_l/scale_factor_w_fluid;
w_fluid_u_n = w_fluid_u/scale_factor_w_fluid;
w_reflector_l_n = w_reflector_l/scale_factor_w_reflector;
w_reflector_u_n = w_reflector_u/scale_factor_w_reflector;

end