function setup_date=file_setup_init(c)

%current directory: cd

%date
my_date=date;
my_clock=clock;
hour=my_clock(4);
minutes=my_clock(5);

%create textfiles based on execution date
setup_date=[my_date '_' num2str(hour) '-' num2str(minutes)];
error_file=[cd '\errors_' setup_date '.txt'];
result_file=[cd '\results_' setup_date '.txt'];
fopen(error_file,'w');
fopen(result_file,'w');


%remove output folders if they exist (checks up to Output100) and temporary
%folder
output_directory=[cd '\Output'];
if exist(output_directory)==7
   system(['rmdir /s /q ' '"' output_directory '"']); 
end
for i=1:100
output_directory=[cd '\Output' num2str(i)];
if exist(output_directory)==7
   system(['rmdir /s /q ' '"' output_directory '"']); 
end
end
temporary_directory=[cd '\Temp'];
if exist(temporary_directory)==7
   system(['rmdir /s /q ' '"' temporary_directory '"']); 
end

%create output and picture folder
mkdir([cd '\Output']);
mkdir([cd '\Pics_' setup_date]);
for i=1:c
mkdir([cd '\Output' num2str(i)]);
end
mkdir([cd '\Temp']);

%copy the model to each output folder
system(['copy ' '"' cd '\3D_optim_end.mph' '"' ' "' cd '\Output\' '"']);
for i=1:c
system(['copy ' '"' cd '\3D_optim_end.mph' '"' ' "' cd '\Output' num2str(i) '\' '"']);
system(['rename ' '"' cd '\Output' num2str(i) '\3D_optim_end.mph' '"' ' "' '3D_optim_end' num2str(i) '.mph' '"']);
end

end