function [scale_factor,range_n_l,range_n_u]=set_normalization(freq_l,freq_u,x_piezo_l,x_piezo_u,y_piezo_l,y_piezo_u,pos_x_l,pos_x_u,pos_y_l,pos_y_u,y_gl_l,y_gl_u)

%%Settings: set normalization ranges, from [0,n_i]_________________________
%here: everything in [0,1]
n_freq=1;
n_x_piezo=1;
n_y_piezo=1;
n_pos_x=1;
n_pos_y=1;
n_y_gl=1;
%%_________________________________________________________________________
%scaling factors
scale_factor_freq=freq_u/n_freq;
scale_factor_x_piezo=x_piezo_u/n_x_piezo;
scale_factor_y_piezo=y_piezo_u/n_y_piezo;
scale_factor_pos_x=pos_x_u/n_pos_x;
scale_factor_pos_y=pos_y_u/n_pos_y;
scale_factor_y_gl=y_gl_u/n_y_gl;

scale_factor=[scale_factor_freq,scale_factor_x_piezo,scale_factor_y_piezo,scale_factor_pos_x,scale_factor_pos_y,scale_factor_y_gl];

%normalized ranges
freq_n_l=freq_l/scale_factor_freq;
x_piezo_n_l=x_piezo_l/scale_factor_x_piezo;
y_piezo_n_l=y_piezo_l/scale_factor_y_piezo;
pos_x_n_l=pos_x_l/scale_factor_pos_x;
pos_y_n_l=pos_y_l/scale_factor_pos_y;
y_gl_n_l=y_gl_l/scale_factor_y_gl;
freq_n_u=freq_u/scale_factor_freq;
x_piezo_n_u=x_piezo_u/scale_factor_x_piezo;
y_piezo_n_u=y_piezo_u/scale_factor_y_piezo;
pos_x_n_u=pos_x_u/scale_factor_pos_x;
pos_y_n_u=pos_y_u/scale_factor_pos_y;
y_gl_n_u=y_gl_u/scale_factor_y_gl;

range_n_l=[freq_n_l,x_piezo_n_l,y_piezo_n_l,pos_x_n_l,pos_y_n_l,y_gl_n_l];
range_n_u=[freq_n_u,x_piezo_n_u,y_piezo_n_u,pos_x_n_u,pos_y_n_u,y_gl_n_u];
end