function comsol_plot(g,npara,setup_date,workerNo)

%set parameter values and compute model
        model=mphload([cd '\Output' num2str(workerNo),'\3D_optim',num2str(workerNo),'.mph'],['M' num2str(workerNo)]);
        model.param.set('x_piezo', [num2str(npara(2)),'[m]'], 'Piezo dimensions');
        model.param.set('y_piezo', [num2str(npara(3)),'[m]']);
        model.param.set('pos_x', [num2str(npara(4)),'[m]'], 'Piezo position');
        model.param.set('pos_y', [num2str(npara(5)),'[m]']);
        model.param.set('freq', [num2str(npara(1)),'[Hz]']);
        model.param.set('y_gl', [num2str(npara(6)),'[m]']);
        
        
        model.study('std1').run;
        
        
        model.result.export('img1').set('pngfilename', [cd '\Pics_' setup_date '\' num2str(g) '.png']);
        model.result.export('img1').run

end