function f=foptim20(para,scale_factor,setup_date)

%get current worker, and start appropriate comsol connection
workerNo=start_comsol_worker;

%parameters (de-normalized)
para_n=de_normalize(para,scale_factor);

%try-catch loop to catch errors and set fitness value to 0 (ie a very bad value)
try
    %compute model and calculate fitness
    f=compute_fitness(para_n,workerNo);
catch exception
    f=0;
    fid=fopen([cd '\errors_' setup_date '.txt'],'a');
    fprintf(fid,'%s%6.12f%s%6.12f%s%6.12f%s%6.12f%s%6.12f%s%6.12f%s%s\n','freq=',para_n(1),', xpiezo=',para_n(2),', ypiezo=',para_n(3),', posx=',para_n(4),', posy=',para_n(5),', ygl=',para_n(6),', error: ',getReport(exception));
    fclose(fid);
end
end